Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# Outliner Class Reference
[Editor]

Inheritance diagram for Outliner:

## Detailed Description

Used to create, store and maintain lists of different special regions.

These can include functions, methods, fields, classes, errors and so on.

## Public Methods
| Outliner (const Region *searchRegion)
| Creates outliner object, that searches stream for the specified type of region.
OutlineItem * | getItem (int idx)
| Returns reference to item with specified ordinal index in list of currently generated outline items.
int | itemCount ()
| Total number of currently available outline items.
void | startParsing (int lno)
void | endParsing (int lno)
void | clearLine (int lno, String *line)
void | addRegion (int lno, String *line, int sx, int ex, const Region *region)
void | enterScheme (int lno, String *line, int sx, int ex, const Region *region, const Scheme *scheme)
void | leaveScheme (int lno, String *line, int sx, int ex, const Region *region, const Scheme *scheme)
## Static Public Methods
int | manageTree (Vector< int > &treeStack, int newLevel)
| Static service method to make easy tree reconstruction from created list of outline items.
## Protected Methods
bool | isOutlined (const Region *region)
## Protected Attributes
const Region * | searchRegion
Vector< OutlineItem * > | outline
bool | lineIsEmpty
int | curLevel

## Constructor & Destructor Documentation

Outliner::Outliner | ( | const Region * | searchRegion | ) |

  | Creates outliner object, that searches stream for the specified type of region. Parameters:
  searchRegion | Region type to search in parser's stream

## Member Function Documentation

OutlineItem * Outliner::getItem | ( | int | idx | ) |

| Returns reference to item with specified ordinal index in list of currently generated outline items. Note, that pointer is correct only between subsequent parser calls.

int Outliner::manageTree | ( | Vector< int > & | treeStack,
|  | int | newLevel
| ) | `[static]`

  | Static service method to make easy tree reconstruction from created list of outline items. This list contains unpacked level indexed of item's enclosure in scheme. Parameters:
  treeStack | external Vector of integer, storing temporary tree structure. Must not be changed externally.
  newLevel | Unpacked level of item to be added into the tree. This index is converted into packed one and returned.
Returns: Packed index of item, which could be used to reconstruct tree of outlined items.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:57 2003 by doxygen 1.3-rc2.